#ifndef TYPES_H
    #define TYPES_H
	#include <stdlib.h>
	#include <stdio.h>
	#include <stdint.h>
	#include <time.h>
	#include <math.h>
	#include <mpi.h>
	#include <omp.h>
    typedef int64_t int_t;
	typedef double real_t;
	typedef struct t {
		int_t id;
		int_t id_local;
		int_t v[3];
		real_t c[3];
		int_t n_neighbors;
		int_t neighbors_id[3];
		int_t neighbors_id_local[3];
		real_t area;
	} triangle_t;
#endif
