#! /usr/bin/env perl
@data = split ( /\n/, `ls data` );
open ( OUT, "|gnuplot -" );
print OUT <<HEAD;
set term png
set grid
set zrange [-1.5:1.5]
set cbrange [0:1]
HEAD
foreach $d (@data) {
    $i = $d;
    $i =~ s/dat/png/;
    print OUT <<END;
set output "images/$i"
splot "data/$d" with dots
END
}
close ( OUT );

